Name: dblatex
Version: 0.2.9
Release: alt2
Summary: DocBook to LaTeX/ConTeXt Publishing

Packager: Kirill Maslinsky <kirill@altlinux.org>
Group: Text tools
License: GPL

BuildArch: noarch
Source: %name-%version.tar
Patch0: 10_no_TEXINPUTS_manipulation.dpatch

BuildRequires(pre): rpm-build-python
# Automatically added by buildreq on Thu Jun 26 2008
BuildRequires: python-devel python-modules-encodings python-modules-logging

Requires: ImageMagick tetex-latex-listings tetex-latex-cmap tetex-latex tetex-context xsltproc docbook-dtds tetex-dvips ghostscript-utils fonts-type1-cm-super-tex
Requires: tetex-latex-unicode >= 20041017-alt1

%define _dblatex_datadir %_datadir/%name
%define _dblatex_texdir %_datadir/texmf/tex/latex/%name

%description
Dblatex started as a DB2LaTeX clone, but since then many things have changed and new features have been added or (hopefully) improved. Now, the portion of shared code is small if any, and the dblatex purpose is different from DB2LaTeX on these points:

    * The project is end-user oriented, that is, it tries to hide as much as possible the latex compiling stuff by providing a single clean script to produce directly DVI, PostScript and PDF output.
    * The actual output rendering is done not only by the XSL stylesheets transformation, but also by a dedicated LaTeX package. The goal is to allow a deep LaTeX customisation without changing the XSL stylesheets.
    * Post-processing is done by Python, to make publication faster, convert the images if needed, and do the whole compilation.

This project is splitted in two instances working on the same principles. Both instances are intended to produce DVI, PostScript, PDF documents from DocBook SGML or XML sources, by converting first to a high level set of TeX macros.

%prep
%setup -q
%patch0 -p1
# lastpage.sty is already present in tetex
rm -vf latex/misc/lastpage.sty

%build
mkdir -p buildroot

CFLAGS="%optflags" python setup.py \
    install --optimize=2 \
    --root=`pwd`/buildroot \
    --catalogs=/etc/sgml/catalog \
    --nodeps \
    --record=INSTALLED_FILES

%install 

mkdir -p %buildroot/%_bindir
install -p --mode=755 buildroot/%_bindir/dblatex %buildroot/%_bindir

mkdir -p %buildroot/%python_sitelibdir
cp -a buildroot/%python_sitelibdir/dbtexmf %buildroot/%python_sitelibdir

mkdir -p %buildroot/%_dblatex_texdir
cp -a buildroot/%_dblatex_datadir/latex/{contrib,misc,style} %buildroot/%_dblatex_texdir

mkdir -p %buildroot/%_dblatex_datadir
cp -a buildroot/%_dblatex_datadir/xsl %buildroot/%_dblatex_datadir

mkdir -p %buildroot/%_dblatex_datadir/latex
cp -a buildroot/%_dblatex_datadir/latex/{graphics,scripts,specs} %buildroot/%_dblatex_datadir/latex
ln -s ../../texmf/tex/latex/dblatex/contrib %buildroot/%_dblatex_datadir/latex/contrib

mkdir -p %buildroot/%_man1dir
cp -a buildroot/%_man1dir/dblatex.1.gz %buildroot/%_man1dir

%pre
[ -h %_datadir/%name/latex/contrib ] || rm -rf %_datadir/%name/latex/contrib

%post
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%postun
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%files 
%_bindir/dblatex
%_dblatex_datadir
%_dblatex_texdir
%python_sitelibdir/dbtexmf
%doc COPYRIGHT docs/manual.pdf
%_man1dir/dblatex.1.gz

%changelog
* Tue Jul 08 2008 Kirill Maslinsky <kirill@altlinux.org> 0.2.9-alt2
- fixed upgrade failure (closes #16261)

* Thu Jun 26 2008 Kirill Maslinsky <kirill@altlinux.org> 0.2.9-alt1
- 0.2.7 -> 0.2.9 (closes #16169)
- LaTeX styles provided by dblatex are now visible to LaTeX
    + TeX input files moved into texmf hierarchy
    + applyed debian patch to allow user to override TeX paths (see debian bug #470209)
      10_no_TEXINPUTS_manipulation.dpatch 
- BuildRequires minimized
- more requirements added for automatic LaTeX processing

* Thu Jun 19 2008 Kirill Maslinsky <kirill@altlinux.org> 0.2.7-alt2
- add BuildArch: noarch

* Wed Jun 18 2008 Kirill Maslinsky <kirill@altlinux.org> 0.2.7-alt1
- Initial build for Sisyphus
- this package has huge requirements on teTeX and ImageMagick (among others) 
  but it won't be fully finctional without them

